Link with hash does not work on Firefox
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.6.6   

Resolution: Fixed Affected version: 2.5.2

Description

In opening this link in new web browser window,

browser goes to line 275.

source:trunk/public/help/zh-tw/wiki_syntax_detailed.html@13340#L275

IE and Chrome work fine, but Firefox 31.0 does not work.

Firefox stays on top of page.

On click in address bar, ff goes to line 275.

It seems jquery-1.8.3-ui-1.9.2-ujs-2.0.3.js problem.

Following modificaion works.

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb

--- a/app/helpers/application_helper.rb

+++ b/app/helpers/application_helper.rb

@@ -1295,7 +1295,8 @@ module ApplicationHelper

   # Returns the javascript tags that are included in the html layout head

   def javascript_heads

-    tags = javascript_include_tag('jquery-1.8.3-ui-1.9.2-ujs-2.0.3', 'application')

+    # tags = javascript_include_tag('jquery-1.8.3-ui-1.9.2-ujs-2.0.3', 'application')

+    tags = "" 

     unless User.current.pref.warn_on_leaving_unsaved == '0'

       tags << "\n".html_safe + javascript_tag("$(window).load(function(){ warnLeavingUnsaved('#{e

scape_javascript l(:text_warn_on_leaving_unsaved)}'); });")

     end

Related issues:

Related to Redmine - Feature #13134: Focus first text field automatically Closed

Associated revisions

Revision 14396 - 2015-07-04 10:56 - Jean-Philippe Lang

Don't focus first input when URL contains a hash (#17757).

Revision 14397 - 2015-07-05 12:23 - Jean-Philippe Lang

Merged r14396 (#17757).

Revision 14398 - 2015-07-05 12:23 - Jean-Philippe Lang

Merged r14396 (#17757).

Revision 14399 - 2015-07-05 12:23 - Jean-Philippe Lang

Merged r14396 (#17757).

History

#1 - 2015-07-04 05:18 - Toshi MARUYAMA

- Related to Feature #13134: Focus first text field automatically added

#2 - 2015-07-04 05:21 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/repository/svn/revisions/13340/entry/trunk/public/help/zh-tw/wiki_syntax_detailed.html#L275


#13134#note-8 says the reason.

#3 - 2015-07-04 10:58 - Jean-Philippe Lang

- Subject changed from Line link does not work on Firefox new window to Link with hash does not work on Firefox

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.6

- Resolution set to Fixed

Fixed in r14396. Automatic focus is disabled when URL contains a hash.

#4 - 2015-07-04 12:21 - Anonymous

Thx for the fix :)

#5 - 2015-07-05 12:23 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://www.redmine.org/issues/13134#note-8
https://www.redmine.org/projects/redmine/repository/svn/revisions/14396
http://www.tcpdf.org

